%define _iconstheme    hicolor
%define _icons16dir    %_iconsdir/%{_iconstheme}/16x16/apps
%define _icons22dir    %_iconsdir/%{_iconstheme}/22x22/apps
%define _icons24dir    %_iconsdir/%{_iconstheme}/24x24/apps
%define _icons48dir    %_iconsdir/%{_iconstheme}/48x48/apps


Summary:	Images downloader for external devices
Name:		rapid-photo-downloader
Version:	0.3.6
Release:	%mkrel 1
Source0:	http://launchpad.net/rapid/trunk/%{version}/+download/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		Graphics
URL:		http://damonlynch.net/rapid
BuildArch:	noarch
BuildRequires:	python-devel >= 2.5
BuildRequires:	desktop-file-utils
Requires:	findutils
Requires:	python-imaging
Requires:	python-kaa-metadata
Requires:	gtk2
Requires:	pygtk2
Requires:	python-exiv2
Requires:	exiv2
Requires:	hicolor-icon-theme
Requires:	gnome-python-gconf
Requires:	ffmpegthumbnailer
Suggests:	librsvg2

%description
Rapid Photo Downloader is written by a photographer for professional
and amateur photographers. Released under the GNU GPL license, it is
designed for use on the Linux Desktop. It can download photos from
multiple cameras, memory cards, and Portable Storage Devices
simultaneously. It provides many options for subfolder
creation, image renaming and backup.

%files  -f %{name}.lang
%defattr(-,root,root)
%doc rapid/AUTHORS rapid/ChangeLog rapid/COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%_icons16dir/%{name}.png
%_icons22dir/%{name}.png
%_icons24dir/%{name}.png
%_icons48dir/%{name}.png
%_iconsdir/hicolor/scalable/apps/%name.svg
%_datadir/pixmaps/%{name}.png
%_datadir/pixmaps/%{name}.xpm
%{py_puresitedir}/rapid/
%{py_puresitedir}/*.egg-info

#---------------------------------------------------------------------

%prep
%setup -q 

%build


%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot}

chmod 755 %{buildroot}/%{py_puresitedir}/rapid/renamesubfolderprefs.py \
%{buildroot}/%{py_puresitedir}/rapid/common.py %{buildroot}/%{py_puresitedir}/rapid/metadata.py \
%{buildroot}/%{py_puresitedir}/rapid/media.py %{buildroot}/%{py_puresitedir}/rapid/tableplusminus.py \
%{buildroot}/%{py_puresitedir}/rapid/misc.py %{buildroot}/%{py_puresitedir}/rapid/rapid.py \
%{buildroot}/%{py_puresitedir}/rapid/renamesubfolderprefstest.py

%find_lang %{name}

%clean
%__rm -rf %{buildroot}




%changelog
* Sat May 07 2011 mikala <mikala> 0.3.6-1.mga1
+ Revision: 95692
- Update tarball to 0.3.6
- Remove BuildRoot
- imported package rapid-photo-downloader


* Sun Jan 02 2011 John Balcaen <mikala@mandriva.org> 0.3.4-1mdv2011.0
+ Revision: 627500
- Update to 0.3.4

  + Sandro Cazzaniga <kharec@mandriva.org>
    - new version 0.3.3

* Mon Nov 22 2010 Funda Wang <fwang@mandriva.org> 0.3.1-2mdv2011.0
+ Revision: 599637
- rebuild for py2.7

* Sun Sep 05 2010 John Balcaen <mikala@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 576191
- Update to 0.3.1

* Sun Jul 25 2010 John Balcaen <mikala@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 559877
- Update to 0.3.0
- add somes requires suggested by upstream

* Wed Feb 17 2010 John Balcaen <mikala@mandriva.org> 0.1.3-1mdv2010.1
+ Revision: 506891
- update to 0.1.3

* Sun Jan 17 2010 John Balcaen <mikala@mandriva.org> 0.1.2-1mdv2010.1
+ Revision: 492629
- Update to 0.1.2

* Thu Jan 07 2010 Frederik Himpe <fhimpe@mandriva.org> 0.1.1-1mdv2010.1
+ Revision: 487289
- update to new version 0.1.1

* Thu Dec 31 2009 John Balcaen <mikala@mandriva.org> 0.1.0-1mdv2010.1
+ Revision: 484310
- Update to 0.1.0

* Fri Dec 04 2009 John Balcaen <mikala@mandriva.org> 0.1.0-0.beta2mdv2010.1
+ Revision: 473232
- Update to 0.1.0beta2

* Sat Sep 26 2009 John Balcaen <mikala@mandriva.org> 0.0.10-1mdv2010.0
+ Revision: 449395
- import rapid-photo-downloader

